> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Hris Org Time Offs

> Cursor-paginated org time-off list with filters, search, sorting and annual balance per employee.

Required scope: `time:read`

## OpenAPI

````yaml api-reference/openapi.json POST /hris/get-hris-org-time-offs
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-hris-org-time-offs:
    post:
      operationId: getHrisOrgTimeOffs
      summary: Get Hris Org Time Offs
      x-toku-required-scope: time:read
      description: >-
        Cursor-paginated org time-off list with filters, search, sorting and
        annual balance per employee.


        Required scope: `time:read`
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetHrisOrgTimeOffsRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetHrisOrgTimeOffsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetHrisOrgTimeOffsRequest:
      type: object
      properties:
        status:
          oneOf:
            - type: string
              enum:
                - REQUESTED
                - APPROVED
                - REJECTED
                - CANCELLED
            - type: array
              items:
                type: string
                enum:
                  - REQUESTED
                  - APPROVED
                  - REJECTED
                  - CANCELLED
        leaveType:
          oneOf:
            - type: string
              enum:
                - ANNUAL_LEAVE
                - PAID_TIME_OFF
                - PUBLIC_HOLIDAY
                - SICK_LEAVE
                - COMPASSIONATE_BEREAVEMENT_LEAVE
                - PARENTAL_LEAVE
                - MATERNITY_LEAVE
                - LONG_SERVICE_LEAVE
                - COMMUNITY_SERVICE_LEAVE
                - FAMILY_CARE_LEAVE
                - UNPAID_LEAVE
                - SPECIAL_LEAVE
            - type: array
              items:
                type: string
                enum:
                  - ANNUAL_LEAVE
                  - PAID_TIME_OFF
                  - PUBLIC_HOLIDAY
                  - SICK_LEAVE
                  - COMPASSIONATE_BEREAVEMENT_LEAVE
                  - PARENTAL_LEAVE
                  - MATERNITY_LEAVE
                  - LONG_SERVICE_LEAVE
                  - COMMUNITY_SERVICE_LEAVE
                  - FAMILY_CARE_LEAVE
                  - UNPAID_LEAVE
                  - SPECIAL_LEAVE
        countryCode:
          type: string
          enum:
            - ABW
            - AFG
            - AGO
            - AIA
            - ALA
            - ALB
            - AND
            - ARE
            - ARG
            - ARM
            - ASM
            - ATA
            - ATF
            - ATG
            - AUS
            - AUT
            - AZE
            - BDI
            - BEL
            - BEN
            - BES
            - BFA
            - BGD
            - BGR
            - BHR
            - BHS
            - BIH
            - BLR
            - BLZ
            - BMU
            - BOL
            - BRA
            - BRB
            - BRN
            - BTN
            - BVT
            - BWA
            - CAF
            - CAN
            - CCK
            - CHE
            - CHL
            - CHN
            - CIV
            - CMR
            - COD
            - COG
            - COK
            - COL
            - COM
            - CPV
            - CRI
            - CUB
            - CUW
            - CXR
            - CYM
            - CYP
            - CZE
            - DEU
            - DJI
            - DMA
            - DNK
            - DOM
            - DZA
            - ECU
            - EGY
            - ERI
            - ESH
            - ESP
            - EST
            - ETH
            - FIN
            - FJI
            - FLK
            - FRA
            - FRO
            - FSM
            - GAB
            - GBR
            - GEO
            - GGY
            - GHA
            - GIB
            - GIN
            - GLP
            - GMB
            - GNB
            - GNQ
            - GRC
            - GRD
            - GRL
            - GTM
            - GUF
            - GUM
            - GUY
            - HKG
            - HMD
            - HND
            - HRV
            - HTI
            - HUN
            - IDN
            - IMN
            - IND
            - IOT
            - IRL
            - IRN
            - IRQ
            - ISL
            - ISR
            - ITA
            - JAM
            - JEY
            - JOR
            - JPN
            - KAZ
            - KEN
            - KGZ
            - KHM
            - KIR
            - KNA
            - KOR
            - KWT
            - LAO
            - LBN
            - LBR
            - LBY
            - LCA
            - LIE
            - LKA
            - LSO
            - LTU
            - LUX
            - LVA
            - MAC
            - MAF
            - MAR
            - MCO
            - MDA
            - MDG
            - MDV
            - MEX
            - MHL
            - MKD
            - MLI
            - MLT
            - MMR
            - MNE
            - MNG
            - MNP
            - MOZ
            - MRT
            - MSR
            - MTQ
            - MUS
            - MWI
            - MYS
            - MYT
            - NAM
            - NCL
            - NER
            - NFK
            - NGA
            - NIC
            - NIU
            - NLD
            - NOR
            - NPL
            - NRU
            - NZL
            - OMN
            - PAK
            - PAN
            - PCN
            - PER
            - PHL
            - PLW
            - PNG
            - POL
            - PRI
            - PRK
            - PRT
            - PRY
            - PSE
            - PYF
            - QAT
            - REU
            - ROU
            - RUS
            - RWA
            - SAU
            - SDN
            - SEN
            - SGP
            - SGS
            - SHN
            - SJM
            - SLB
            - SLE
            - SLV
            - SMR
            - SOM
            - SPM
            - SRB
            - SSD
            - STP
            - SUR
            - SVK
            - SVN
            - SWE
            - SWZ
            - SXM
            - SYC
            - SYR
            - TCA
            - TCD
            - TGO
            - THA
            - TJK
            - TKL
            - TKM
            - TLS
            - TON
            - TTO
            - TUN
            - TUR
            - TUV
            - TWN
            - TZA
            - UGA
            - UKR
            - UMI
            - URY
            - USA
            - UZB
            - VAT
            - VCT
            - VEN
            - VGB
            - VIR
            - VNM
            - VUT
            - WLF
            - WSM
            - YEM
            - ZAF
            - ZMB
            - ZWE
        department:
          type: string
        startDateFrom:
          type: string
          pattern: ^\d{4}-\d{2}-\d{2}$
        startDateTo:
          type: string
          pattern: ^\d{4}-\d{2}-\d{2}$
        search:
          type: string
          maxLength: 200
        sortBy:
          type: string
          enum:
            - createdAt
            - startDate
            - endDate
            - status
        sortOrder:
          type: string
          enum:
            - asc
            - desc
        cursor:
          type: string
          format: uuid
        limit:
          type: integer
          minimum: 1
          maximum: 200
        summaryOnly:
          type: boolean
    GetHrisOrgTimeOffsResponse:
      $ref: '#/components/schemas/TimeOffOrgList'
      description: Request regeneration does not infer response shapes.
    TimeOffOrgList:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/TimeOffOrgRow'
        totalCount:
          type: integer
        nextCursor:
          type:
            - string
            - 'null'
          format: uuid
        hasNextPage:
          type: boolean
      required:
        - items
        - totalCount
        - nextCursor
        - hasNextPage
    TimeOffOrgRow:
      allOf:
        - $ref: '#/components/schemas/TimeOffEmployeeRow'
        - type: object
          properties:
            employeeName:
              type: string
            employeeEmail:
              type:
                - string
                - 'null'
            department:
              type:
                - string
                - 'null'
            roleInOrgID:
              type: string
              format: uuid
            country:
              type:
                - string
                - 'null'
            countryCode:
              type:
                - string
                - 'null'
            balanceUsed:
              type: number
            balanceTotal:
              type:
                - number
                - 'null'
          required:
            - employeeName
            - employeeEmail
            - department
            - roleInOrgID
            - country
            - countryCode
            - balanceUsed
            - balanceTotal
    TimeOffEmployeeRow:
      allOf:
        - $ref: '#/components/schemas/TimeOffMutation'
        - type: object
          properties:
            data: {}
            customLeaveTypeName:
              type:
                - string
                - 'null'
            createdAt:
              type: string
              format: date-time
          required:
            - data
            - customLeaveTypeName
            - createdAt
    TimeOffMutation:
      type: object
      properties:
        id:
          type: string
          format: uuid
        hrisTimeOffID:
          type: string
          format: uuid
        startDate:
          type: string
          format: date
        endDate:
          type: string
          format: date
        days:
          type: number
        status:
          type: string
          enum:
            - REQUESTED
            - APPROVED
            - REJECTED
            - CANCELLED
        leaveType:
          type: string
        customLeaveTypeID:
          type:
            - string
            - 'null'
          format: uuid
        note:
          type:
            - string
            - 'null'
      required:
        - id
        - hrisTimeOffID
        - startDate
        - endDate
        - days
        - status
        - leaveType
        - customLeaveTypeID
        - note
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
